package com.ainirobot.testsdk

import com.facebook.react.bridge.Promise
import com.facebook.react.bridge.ReactApplicationContext
import com.facebook.react.bridge.ReactContextBaseJavaModule
import com.facebook.react.bridge.ReactMethod

/**
 * @date: 2019-07-29
 * @author: lumeng
 * @email: lumeng@cmcm.com
 * @desc: TODO
 */

class HelloModule(reactContext: ReactApplicationContext) : ReactContextBaseJavaModule(reactContext) {

    override fun getName(): String {
        return "Hello"
    }


    @ReactMethod
    fun getStringFromJNI(promise: Promise) {
        promise.resolve(HelloJni().stringFromJNI())
    }

    @ReactMethod
    fun getStringFromKT(promise: Promise) {
        promise.resolve(HelloKotlin.stringFromKT())
    }

    @ReactMethod
    fun jianjian(num:Int,promise: Promise) {
        promise.resolve(HelloJni().jianjian(num))
    }
}